PolymeshGetSolidBrep Method

Gets the cleaned Brep

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
public static bool GetSolidBrep(
	FacetedBrep inBrep,
	out FacetedBrep outBrep
)

Parameters

inBrep
Type: Tekla.Structures.Geometry3dFacetedBrep
FacetedBrep to be cleaned
outBrep
Type: Tekla.Structures.Geometry3dFacetedBrep
Cleaned facetedBrep

Return Value

Type: Boolean
True if Brep can create a valid solid, false if outBrep is nonsolid
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next